org.eclipse.jgit.util

## Class FS_POSIX_Java6

- java.lang.Object
- - org.eclipse.jgit.util.FS
  - - org.eclipse.jgit.util.FS_POSIX
    - - org.eclipse.jgit.util.FS_POSIX_Java6

    public class FS_POSIX_Java6
    extends FS_POSIX

FS implementation for POSIX systems using Java6

Since:
  3.0

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jgit.util.FS

`FS.Attributes, FS.FSFactory`

### Field Summary

### Fields inherited from class org.eclipse.jgit.util.FS

`DETECTED`

### Constructor Summary

Constructors
Constructor and Description
`FS_POSIX_Java6()` Constructor
`FS_POSIX_Java6(FS src)` Constructor

### Method Summary

Methods
`boolean` `canExecute(File f)` Determine if the file is executable (or not).
`static boolean` `hasExecute()`
`FS` `newInstance()`
`boolean` `retryFailedLockFileCommit()` Does this file system have problems with atomic renames?
`boolean` `setExecute(File f, boolean canExec)` Set a file to be executable by the user.
`boolean` `supportsExecute()` Does this operating system and JRE support the execute flag on files?

### Methods inherited from class org.eclipse.jgit.util.FS_POSIX

`discoverGitPrefix, isCaseSensitive, runInShell, setHidden`

### Methods inherited from class org.eclipse.jgit.util.FS

`createSymLink, delete, detect, detect, exists, getAttributes, gitPrefix, isDirectory, isFile, isHidden, isSymLink, lastModified, length, normalize, normalize, readPipe, readSymLink, resolve, searchPath, setGitPrefix, setLastModified, setUserHome, supportsSymlinks, userHome, userHomeImpl`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FS_POSIX_Java6

    public FS_POSIX_Java6()

Constructor

#### FS_POSIX_Java6

    public FS_POSIX_Java6(FS src)

Constructor

Parameters:
  `src` - instance whose attributes to copy

### Method Detail

#### hasExecute

    public static boolean hasExecute()

Returns:
  true if Java has the ability to set and get the executable flag on files

#### newInstance

    public FS newInstance()

Specified by:
  `newInstance` in class `FS`
Returns:
  a new instance of the same type of FS.

#### supportsExecute

    public boolean supportsExecute()

Description copied from class: `FS`
Does this operating system and JRE support the execute flag on files?

Specified by:
  `supportsExecute` in class `FS`
Returns:
  true if this implementation can provide reasonably accurate executable bit information; false otherwise.

#### canExecute

    public boolean canExecute(File f)

Description copied from class: `FS`
Determine if the file is executable (or not).

Not all platforms and JREs support executable flags on files. If the feature is unsupported this method will always return false.

If the platform supports symbolic links and `f` is a symbolic link this method returns false, rather than the state of the executable flags on the target file.

Specified by:
  `canExecute` in class `FS`
Parameters:
  `f` - abstract path to test.
Returns:
  true if the file is believed to be executable by the user.

#### setExecute

    public boolean setExecute(File f,
                     boolean canExec)

Description copied from class: `FS`
Set a file to be executable by the user.

Not all platforms and JREs support executable flags on files. If the feature is unsupported this method will always return false and no changes will be made to the file specified.

Specified by:
  `setExecute` in class `FS`
Parameters:
  `f` - path to modify the executable status of.
  `canExec` - true to enable execution; false to disable it.
Returns:
  true if the change succeeded; false otherwise.

#### retryFailedLockFileCommit

    public boolean retryFailedLockFileCommit()

Description copied from class: `FS`
Does this file system have problems with atomic renames?

Specified by:
  `retryFailedLockFileCommit` in class `FS`
Returns:
  true if the caller should retry a failed rename of a lock file.